
/*
 * Web Polygraph                        http://www.web-polygraph.org/
 * ------------------------------------------------------------------
 *
 *  Web Polygraph is copyrighted (C) 1998-2000 by The Regents of the
 *  University of California. See the COPYRIGHT file for details.
 */

#ifndef PG_LOG_ITERATOR_H
#define PG_LOG_ITERATOR_H

#include "base/ILog.h"

// iterates ILog
class LogIter {
	public:
		LogIter(ILog *aLog = 0);

		LogIter &start(ILog *aLog);

		bool eof() const;
		operator void *() const;
		LogIter &operator ++();

		const LogEntryPx &operator *();  // current position

	protected:
		void sync();

	protected:
		ILog *theLog;
		LogEntryPx thePx;
};

#endif
